Subject: Node Req: Issue26: 9.1.1 IPv6 Router Alert Option - RFC2711

From: [email-masked]
Date: Wed, 24 Sep 2003 15:08:11 +0300

> Section 9 begins by saying:
> 
> > 9. Router-Specific Functionality
> > 
> >   This section defines general host considerations for IPv6 nodes that
> >   act as routers.  Currently, this section does not discuss routin-
> >   specific requirements.
> 
> an then immediately says
> 
> > 9.1.1 IPv6 Router Alert Option - RFC2711
> > 
> >    The Router Alert Option [RFC-2711] MUST be supported by nodes that
> >    perform packet forwarding at the IP layer (i.e. - the node is a
> >    router).
> 
> But this seems like a "forwarding-related" requirement. When do
> routers send router alerts? They need to process them when they are
> received, e.g., as part of MLD stuff. When else are they used?

Reading 2711, there are some host / server specific issues about 2711. 
Suggested text:

  IPv6 Router Alert Option specific [RFC-2711] defines a new option in the
  IPv6 Hop-by-Hop Header. Hosts MAY support the router alert option 
  defined. Nodes that generate RSVP message MUST implement the router
  alert option. The Router Alert Option [RFC-2711] MUST be supported by 
  nodes that perform packet forwarding at the IP layer (i.e. - the node is
  a router).

John

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------

---

From: Thomas Narten <[email-masked]>
Date: Mon, 29 Sep 2003 14:15:47 -0400

>   IPv6 Router Alert Option specific [RFC-2711] defines a new option in the

s/specific/specifically/?
>   nodes that perform packet forwarding at the IP layer (i.e. - the node is

Router alerts are also required with MLD messages. So wording that
reflects this would be good. Indeed, I don't think the RSVP usage is
so important to mention, given that RSVP isn't mentioned elsewhere in
the document. How about something like the following instead:

  The IPv6 Router Alert Option [RFC-2711] is an optional IPv6
  Hop-by-Hop Header that is used in conjunction with some protocols
  (e.g., RSVP [RFC XXX], or MLD [RFC XXX]). The Router Alert option
  will need to be implemented whenever protocols that mandate its
  usage are implemented.  See Section XXX-MLD.

Thomas

---

From: Brian Haberman <[email-masked]>
Date: Mon, 29 Sep 2003 14:35:21 -0400

>   usage are implemented.  See Section XXX-MLD.

I like Thomas' suggested text.  Only mentioning RSVP with respect
to the router alert option is the wrong approach.

Regards,
Brian